import request from "@/utils/request";

// 学科 jcxx_subject 列表接口
export const subject_list = () =>
  request({
    url: "/jcxx/subject/index",
  });
// 年级 jcxx_grade 列表接口
export const grade_list = () =>
  request({
      url: "/jcxx/grade/index",
  });
// 学校列表接口
export const school_list = () =>
  request({
    url: "/school/main/index",
  });
// 班级列表接口
export const class_list = () =>
  request({
    url: "/jcxx/class/index",
  });

// 教师用户列表
export const teacher_list = (data = {}) => {
   return request({
        url: "/user/main/index",
        data,
    });
}

// 直播课程列表
export const wlzb_list = (data = {}) => {
   return request({
        url: "/kzkt/zbkc/index",
        data,
    });
}

// 直播课程列表修改
export const wlzb_edit = (data = {}) => {
   return request({
     url: "/kzkt/zbkc/edit",
     data,
   });
}

// 直播课程列表详情
export const wlzb_detail = (data = {}) => {
   return request({
     url: "/kzkt/zbkc/detail",
     data,
   });
}
