// import { RouteRecordRaw } from 'vue-router';
import { RouteRecordDetailRaw } from '../routes.d';

export default <RouteRecordDetailRaw[]>[
  {
    "path": "/jcxx",
    "name": "jcxx",
    "props": true,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 0,
      "title": "基础信息"
    },
    // "component": () => import('~/pages/jcxx/zzjg/index.vue'),
    "children": [
      {
        "path": "zzjg",
        "name": "jcxx_zzjg",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "组织架构"
        },
        "component": () => import('~/pages/jcxx/zzjg/index.vue'),
        "redirect": null
      },
      {
        "path": "xxxx",
        "name": "jcxx_xxxx",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "学校信息"
        },
        // "component": () => import('~/pages/jcxx/xxxx/index.vue'),
        "children": [
          {
            "path": "",
            "name": "jcxx_xxxx_jd",
            "props": true,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "学校信息"
            },
            "component": () => import('~/pages/jcxx/xxxx/index.vue'),
            "redirect": null
          },
          {
            "path": "",
            "name": "jcxx_xxxx_xx",
            "props": true,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "学校信息（学校）"
            },
            "component": () => import('~/pages/jcxx/xxxx/xx/index.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "jcxx_xxxx_jd"
        }
      },
      {
        "path": "jsxx",
        "name": 'jcxx_jsxx',
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "教师信息"
        },
        // "component": () => import('~/pages/jcxx/xxxx/index.vue'),
        "children": [
          {
            "path": "",
            "name": "jcxx_jsxx_index",
            "props": true,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 1,
              "title": "教师信息"
            },
            "component": () => import('~/pages/jcxx/jsxx/index.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "jcxx_jsxx_index"
        }
      },
      {
        "path": "xsxx",
        "name": 'jcxx_xsxx',
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "学生信息"
        },
        // "component": () => import('~/pages/jcxx/xxxx/index.vue'),
        "children": [
          {
            "path": "",
            "name": "jcxx_xsxx_index",
            "props": true,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 1,
              "title": "学生信息"
            },
            "component": () => import('~/pages/jcxx/xsxx/index.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "jcxx_jsxx_index"
        }
      },

    ],
    "redirect": {
      "name": "jcxx_zzjg"
    }
  },
  {
    "path": "/jsc",
    "name": "jsc",
    "props": true,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 8,
      "title": "驾驶舱"
    },
    "component": () => import('~/pages/jsc/index.vue'),
    "redirect": null
  },
  {
    "path": "/zykgl",
    "name": "zykgl",
    "props": true,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 2,
      "title": "资源库管理"
    },
    "component": () => import('~/pages/zykgl/index.vue'),
  },
  {
    "path": "/kcbgl",
    "name": "kcbgl",
    "props": true,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 0,
      "title": "课程表管理"
    },
    "children": [
      {
        "path": "ssys",
        "name": "kcbgl_ssys",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 4,
          "title": "双师一生"
        },
        "component": () => import('~/pages/kcbgl/ssys/index.vue'),
        "redirect": null
      },
      {
        "path": "wlzb",
        "name": "kcbgl_wlzb",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "网络直播"
        },
        "component": () => import('~/pages/kcbgl/wlzb/index.vue'),
        "redirect": null
      },
      {
        "path": "ykkb",
        "name": "kcbgl_ykkb",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "约课课表"
        },
        "component": () => import('~/pages/kcbgl/ykkb/index.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "kcbgl_ssys"
    }
  },
]
