import { RouteRecordDetailRaw } from '../routes.d';
export default <RouteRecordDetailRaw[]>[
    {
        "path": "/hdglXD",
        "name":'hdgl',
        // "component": () => import('~/pages/hdgl/hdglXD/index.vue'),
        "meta": { "title": "活动管理(校端)","sort":50 },
        "redirect": {
            "name":"hdgl_xd"
        },
        "children": [
            {
                "path": '',
                "name": "hdgl_xd",
                "meta": {
                    "title": "活动管理(校端)",
                    "checkList": ['export', 'delete', 'show'],
                },
                "props": true,
                "component": () => import('~/pages/hdgl/hdglXD/index.vue'),
            },
            {
                "path": 'detail/:id',
                "name": "hdgl_detail",
                "meta": {
                    "title": "查看",
                    "hidden": true,
                    "checkList": ['export', 'delete', 'detail','show'],
                },
                "props": true,
                "component": () => import('~/pages/hdgl/hdglXD/detail.vue'),
            }
        ]
    },
    {
        "path": "/hdglJD",
        "meta": { "title": "活动管理(局端)" },
        "children": [
            {
                "path": 'hdfq',
                "name": "hdgl_hdfq",
                "meta": {
                    "title": "活动发起"
                },
                "props": true,
                "component": () => import('~/pages/hdgl/hdglJD/hdfq/index.vue'),
            },
            {
                "path": 'hdzp',
                "meta": {
                    "title": "活动作品", "sort": 0, "breadcrumb": false,
                },
                "props": true,
                "children": [
                    {
                        "path": '',
                        "name": "hdgl_hdzp",
                        "meta": {
                            "title": "活动作品",
                            "props": true,
                            
                        },
                        "component": () => import('~/pages/hdgl/hdglJD/hdzp/index.vue'),
                    },
                    {
                        "path": 'detail/:id',
                        "name": "hdzp_detail",
                        "meta": {
                            "title": "查看",
                            "props": true,
                            "hidden": true,
                            
                        },
                        "component": () => import('~/pages/hdgl/hdglJD/hdzp/detail.vue'),
                    }
                ]
            }
        ]
    }
]
