import { RouteRecordDetailRaw } from '../routes.d';

export default <RouteRecordDetailRaw[]>[
  {
    "path": "/pjgl",
    "name": "-PJGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 11,
      "title": "评价管理"
    },
    // "component": () => import('~/pages/pjgl.vue'),
    "children": [
      {
        "path": "zy",
        "name": "-PJGL-ZY",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "作业"
        },
        // "component": () => import('~/pages/pjgl/zy.vue'),
        "children": [
          {
            "path": "",
            "name": "-PJGL-ZY-INDEX",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 0,
              "title": "作业",
              "checkList": ['show', 'edit']
            },
            "component": () => import('~/pages/pjgl/zy/index.vue'),
            "redirect": null
          },
          {
            "path": "wdsz/:id/:code",
            "name": "-PJGL-ZY-WDSZ",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "维度设置",
              "checkList": ['show']
            },
            "component": () => import('~/pages/pjgl/zy/wdsz.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-PJGL-ZY-INDEX"
        }
      },
      {
        "path": "sshp",
        "name": "-PJGL-SSHP",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "双师互评",
        },
        // "component": () => import('~/pages/pjgl/sshp.vue'),
        "children": [
          {
            "path": "",
            "name": "-PJGL-SSHP-INDEX",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 0,
              "title": "双师互评",
              "checkList": ['show', 'edit']
            },
            "component": () => import('~/pages/pjgl/sshp/index.vue'),
            "redirect": null
          },
          {
            "path": "wdsz/:id/:code",
            "name": "-PJGL-SSHP-WDSZ",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "维度设置",
              "checkList": ['show']
            },
            "component": () => import('~/pages/pjgl/sshp/wdsz.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-PJGL-SSHP-INDEX"
        }
      }
    ],
    "redirect": {
      "name": "-PJGL-ZY"
    }
  }
]
